%define major_version  1.6
%define minor_version  0

Name:           glom
Version:        %{major_version}.%{minor_version}
Release:        1%{?dist}
Summary:        Easy-to-use database designer and user interface

Group:          Applications/Databases
License:        GPLv2+
URL:            http://www.glom.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glom/%{major_version}/%{name}-%{major_version}.%{minor_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bakery-devel >= 2.4
BuildRequires:  desktop-file-utils gettext-devel intltool
BuildRequires:  libgdamm-devel >= 2.9.8
BuildRequires:  libxml++-devel >= 2.18.1
BuildRequires:  python-devel
BuildRequires:  gnome-python2-gda-devel
BuildRequires:  libgnome-devel >= 2.6.0
BuildRequires:  libxslt-devel >= 1.1.10
BuildRequires:  pygtk2-devel >= 2.6
BuildRequires:  iso-codes-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  scrollkeeper
BuildRequires:  libgtksourceviewmm-devel
BuildRequires:  libgda-devel >= 3.0.1
BuildRequires:  postgresql-server
BuildRequires:	libgda-postgres-devel
BuildRequires:  avahi-glib-devel
BuildRequires:  goocanvas-devel

Requires:       postgresql-server
Requires:       libgda-postgres

Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper


%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the PostgreSQL database backend.


%prep
%setup -q


%build
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
        --disable-rpath \
        --with-postgres-utils=/usr/bin
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libglom.so

desktop-file-install --vendor "" --delete-original         \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications          \
  --add-category X-Fedora                                  \
  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
/sbin/ldconfig


%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
scrollkeeper-update -q || :
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_libdir}/python2.5/site-packages/%{name}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/*
%{_datadir}/omf/%{name}


%changelog
* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 1.6.0-1
- Update to 1.6.0, updated BRs

* Thu Aug 23 2007 Denis Leroy <denis@poolshark.org> - 1.5.2-2
- License tag update

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 1.5.2-1
- Update to 1.5.2
- Now using libgda 3.0

* Thu Apr  5 2007 Denis Leroy <denis@poolshark.org> - 1.4.3-1
- Update to 1.4.3

* Thu Mar 22 2007 Denis Leroy <denis@poolshark.org> - 1.4.2-1
- Update to 1.4.2
- Removed avahi dependency

* Thu Mar 15 2007 Denis Leroy <denis@poolshark.org> - 1.4.0-1
- Update to 1.4.0

* Fri Mar  9 2007 Denis Leroy <denis@poolshark.org> - 1.3.11-1
- Update to 1.3.11
- Updated dependencies, added postgres deps

* Mon Dec 11 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-3
- Fixed python2.5 path
- Added patch to fix python 2.5 compile

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-2
- Fixed source upload

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-1
- Update to 1.2.2

* Tue Nov 21 2006 Denis Leroy <denis@poolshark.org> - 1.2.1-2
- Update to 1.2.1

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 1.2.0-2
- Rebuild with correct sources files

* Wed Oct 18 2006 Denis Leroy <denis@poolshark.org> - 1.2.0-1
- Update to 1.2.0
- Added omf directory

* Sun Oct  8 2006 Denis Leroy <denis@poolshark.org> - 1.0.7-1
- Update to 1.0.7

* Fri Oct  6 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-4
- fixed x86_64 spec, vfsmm patch no longer needed

* Thu Oct  5 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-3
- Added scrollkeeper db updates
- Added mime-type key to desktop file
- Added autoreconf and patch to fix rpath problem

* Wed Oct  4 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-2
- Fixed BRs
- Enabled scrollkeeper

* Tue Oct  3 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-1
- Update to 1.0.5

* Thu Aug  3 2006 Denis Leroy <denis@poolshark.org> - 1.0.4-1
- First version

